import { ContainerOptions, View, Container as pxContainer } from 'pixi.js';
import { JSX } from 'solid-js';
import { Events, ContainerEvents } from './events';
import { CommonProps } from './interfaces';
export type ExtendedContainer<Data extends object> = pxContainer & Data;
export type ContainerProps<Data extends object> = CommonProps<pxContainer, Data> & Omit<ContainerOptions<View>, 'children'> & Events & ContainerEvents & Data;
export declare function Container<Data extends object = object>(props: ContainerProps<Data>): JSX.Element;
//# sourceMappingURL=Container.d.ts.map