import { MeshOptions, Mesh as pxMesh } from 'pixi.js';
import { Events } from './events';
import { CommonProps } from './interfaces';
export type ExtendedMesh<Data extends object> = pxMesh & Data;
export type MeshProps<Data extends object> = CommonProps<ExtendedMesh<Data>> & MeshOptions & Events & Data;
export declare function Mesh<Data extends object = object>(props: MeshProps<Data>): import("solid-js").JSX.Element;
//# sourceMappingURL=Mesh.d.ts.map