import { Sprite as pxSprite, SpriteOptions } from 'pixi.js';
import { Events } from './events';
import { CommonProps } from './interfaces';
export type ExtendedSprite<Data extends object> = pxSprite & Data;
export type SpriteProps<Data extends object> = CommonProps<pxSprite, Data> & SpriteOptions & Events & Data;
export declare function Sprite<Data extends object = object>(props: SpriteProps<Data>): import("solid-js").JSX.Element;
//# sourceMappingURL=Sprite.d.ts.map