import { Renderable } from 'pixi.js';
import { JSX } from 'solid-js/jsx-runtime';
export type Use<T> = (t: T) => void;
export type Uses<T> = Use<T> | Array<Use<T>>;
export interface CommonProps<Component = Renderable, Data = object> {
    children?: JSX.Element;
    uses?: Uses<Component & Data>;
    as?: Component;
}
export declare const CommonPropKeys: (keyof CommonProps<Renderable>)[];
//# sourceMappingURL=interfaces.d.ts.map