import { Text as pxText, TextOptions, TextString } from 'pixi.js';
import { Events } from './events';
import { CommonProps } from './interfaces';
export type ExtendedText<Data extends object> = pxText & Data;
export type TextProps<Data extends object> = Omit<CommonProps<pxText, Data>, 'children'> & Omit<TextOptions, 'text' | 'children'> & Events & Data & {
    children: TextString;
};
export declare function Text<Data extends object = object>(props: TextProps<Data>): null;
//# sourceMappingURL=Text.d.ts.map