import { TilingSpriteOptions, TilingSprite as pxTilingSprite } from 'pixi.js';
import { Events } from './events';
import { CommonProps } from './interfaces';
export type ExtendedTilingSprite<Data extends object> = pxTilingSprite & Data;
export type TilingSpriteProps<Data extends object> = CommonProps<pxTilingSprite, Data> & TilingSpriteOptions & Events & Data;
export declare function TilingSprite<Data extends object = object>(props: TilingSpriteProps<Data>): import("solid-js").JSX.Element;
//# sourceMappingURL=TilingSprite.d.ts.map